Description: Multiple disk support.  Allows you to strip a fs across disks
Name: md
Version: 035
Release: 3
Source:  ftp://sweet-smoke.ufr-info-p7.ibp.fr/public/Linux/md035.tar.gz
Copyright: GPL
Group: Utilities/System

%prep 

%setup -n md

%build

make

%install

make install

%files

%doc README
%doc md_FAQ
%doc md.lsm
%doc ChangeLog 

/sbin/mdadd
/sbin/mdcreate
/sbin/mdrun
/sbin/mdstop

/usr/man/man8/mdadd.8
/usr/man/man8/mdcreate.8
/usr/man/man5/mdtab.5

%post

maj=`grep MD_MAJOR /usr/src/linux/include/linux/major.h | tr -s ' ' | cut -d' ' -f3;`
for i in 0 1 2 3;
do
   if [ ! -e /dev/md$i ] ; then
      mknod -m 0600 /dev/md$i b $maj $i;
   fi;
done            


%postun

maj=`grep MD_MAJOR /usr/src/linux/include/linux/major.h | tr -s ' ' | cut -d' ' -f3;`
for i in 0 1 2 3;
do
   if [ ! -e /dev/md$i ] ; then
      rm /dev/md$i 
   fi;
done            
